Households
Update a household
Update a household’s name, tier, or became_client_at. Client-only fields (tier, became_client_at) are silently ignored when updating a Prospect.
PATCH
/
v1
/
households
/
{id}
Update a household
curl --request PATCH \
--url https://api.slant.app/v1/households/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"household_name": "The Updated Household",
"tier": "C-tier",
"became_client_at": "2024-06-01T00:00:00Z"
}
'import requests
url = "https://api.slant.app/v1/households/{id}"
payload = {
"household_name": "The Updated Household",
"tier": "C-tier",
"became_client_at": "2024-06-01T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
household_name: 'The Updated Household',
tier: 'C-tier',
became_client_at: '2024-06-01T00:00:00Z'
})
};
fetch('https://api.slant.app/v1/households/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"type": "Client",
"name": "The Smith Family",
"book_id": "book123xyz",
"people": [
{
"id": "abc123xyz",
"book_id": "book123xyz",
"first_name": "John",
"last_name": "Doe",
"household_id": "xyz789abc",
"contact_id": "cnt456def",
"role_type": "client",
"middle_name": "Robert",
"salutation": "Mr.",
"suffix": "Jr.",
"maiden_name": "Smith",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "head_of_household",
"preferred_name": "Johnny",
"date_of_birth": "1985-06-15",
"job_title": "Software Engineer",
"ssn": "***-**-6789",
"drivers_license_number": "******7890",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"employments": [
{
"business_name": "Acme Corp",
"id": "emp123xyz",
"person_id": "abc123xyz",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}
],
"custom_fields": {
"preferred_contact_method": "Email",
"risk_tolerance": "Moderate"
}
}
],
"tier": "Platinum",
"became_client_at": "2024-01-01T00:00:00Z",
"profile_picture_url": "https://api.example.com/v1/households/abc123xyz/avatar",
"custom_fields": {
"pageport_lead_source": "Landing Page",
"industry": "Technology"
}
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"error": "record_not_found",
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Path Parameters
The household ID
Body
application/json
Response
successful
The ID of the household
Example:
"abc123xyz"
The type of household
Available options:
Client, Prospect Example:
"Client"
The name of the household
Example:
"The Smith Family"
The ID of the book this household belongs to
Example:
"book123xyz"
The people in this household
Show child attributes
Show child attributes
The tier label for this household (null for Prospects)
Example:
"Platinum"
When this household became a client (null for Prospects)
Example:
"2024-01-01T00:00:00Z"
URL to the household profile picture
Example:
"https://api.example.com/v1/households/abc123xyz/avatar"
Custom field values as key-value pairs
Example:
{
"pageport_lead_source": "Landing Page",
"industry": "Technology"
}
Previous
Add tags to householdAdd tags to an existing household. Tags are merged with existing tags (additive operation).
Next
⌘I
Update a household
